Package de.willuhn.jameica.hbci.rmi

# Interface SynchronizeSchedulerService

All Superinterfaces:
  `Remote`, `de.willuhn.datasource.Service`

All Known Implementing Classes:
  `SynchronizeSchedulerServiceImpl`

public interface SynchronizeSchedulerService extends de.willuhn.datasource.Service
Interface fuer die automatische Ausführung der Synchronisierung.

## Method Summary

Modifier and Type
Method
Description
`Date`
`getLastExecution()`
Liefert Datum und Uhrzeit der letzten Ausfuehrung.
`Date`
`getNextExecution()`
Liefert Datum und Uhrzeit der naechsten Ausfuehrung.
`int`
`getStatus()`
Liefert den Status der letzten Synchronisierung.

### Methods inherited from interface de.willuhn.datasource.Service

`getName, isStartable, isStarted, start, stop`

## Method Details

### getLastExecution

Date getLastExecution() throws RemoteException
Liefert Datum und Uhrzeit der letzten Ausfuehrung.

Returns:
  Datum und Uhrzeit der letzten Ausfuehrung.
Throws:
  `RemoteException`

### getNextExecution

Date getNextExecution() throws RemoteException
Liefert Datum und Uhrzeit der naechsten Ausfuehrung.

Returns:
  Datum und Uhrzeit der naechsten Ausfuehrung.
Throws:
  `RemoteException`

### getStatus

int getStatus() throws RemoteException
Liefert den Status der letzten Synchronisierung.

Returns:
  der Status der letzten Synchronisierung.
Throws:
  `RemoteException`